<template>
  <div class="module module-newsletter">
    <div class="row justify-content-center">
      <div class="col-12 col-md-10 col-lg-8">
        <h2
          v-if="data.headline"
          class="headline"
          v-html="$stripPTags(data.headline)"
        />
      </div>
    </div>
    <div class="row justify-content-center">
      <div class="col-12 col-md-10 col-lg-8">
        <div v-if="data.text" class="text" v-html="data.text" />
      </div>
    </div>
    <div class="row justify-content-center">
      <div class="col-12 col-md-7 col-lg-5 col-xl-4">
        <atom-newsletter />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    data: {
      type:Object,
      default: () => {},
    }
  },
}
</script>

<style lang="scss" scoped>
.module-newsletter {
  .headline,
  .text {
    text-align: center;
  }

  .newsletter-atom {
    margin-top: 3rem;

    @include media-breakpoint-up(md) {
      margin-top: 4rem;
    }

    @include media-breakpoint-up(xl) {
      margin-top: 5rem;
    }
  }
}
</style>
